System.Web.Services 2.0.0.0 System.Object

A SOAP fault in version 1.2 of the SOAP specification contains a Code element and among other things an optional Subcode element. The Code element is one of a pre-defined set of codes, informing a recipient that the cause of the error fell into one of five large error categories. Those five fault codes are represented by the , , , , and fields. The Subcode element allows the sender of the SOAP fault to provide an application-specific error code. ASP.NET defines two such codes that are represented by the , , , and fields.

An XML Web service throwing an exception sets the property, which represents the Code element, when a new instance of the or class is created. That error is transmitted over the wire as a SOAP fault, which a .NET Framework client can catch as a or .

Defines the SOAP fault codes that appear in a SOAP message when an error occurs while communicating with XML Web services using the SOAP version 1.2 protocol.

- Field
  System.Xml.XmlQualifiedName

  ASP.NET does not automatically throw a with the property set to .

  Represents the SOAP version 1.2 DataEncodingUnknown fault code indicating the SOAP message is encoded in an unrecognized format.

  2.0.0.0
- Field
  System.Xml.XmlQualifiedName To be added.

  Represents the fault code for missing ID in SOAP encoding data.

  2.0.0.0
- Field
  System.Xml.XmlQualifiedName

  ASP.NET does not automatically throw a with the property set to .

  The class has a property of type that represents the SOAP fault subcode. The property represents the URI for the actual SOAP fault subcode. When setting the property to , set the property to .

  Represents the SOAP version 1.2 enc:UntypedValue fault subcode indicating that the SOAP message was RPC-encoded and the type name property of an encoded graph node was not specified.

  2.0.0.0
- Field
  System.Xml.XmlQualifiedName

  Not all SOAP headers require processing by the recipient. However, if a SOAP header is marked with the MustUnderstand attribute equal to "true", processing is required. Failure to process the header when it resides within a SOAP 1.2 request generates a with the property set to . If the SOAP request resided within a SOAP 1.1 request, the property is set to .

  Both SOAP 1.1 and 1.2 define MustUnderstand SOAP fault codes differing only by the version of the SOAP protocol used to send the SOAP message. This field represents the SOAP 1.2 version, and the SOAP 1.1 version is represented by . The two fields map to different qualified names, but you can check whether the property is either one of the fault codes by calling the method.

  Represents the SOAP version 1.2 MustUnderstand fault code indicating a SOAP header marked with the MustUnderstand attribute was not processed.

  2.0.0.0
- Field
  System.Xml.XmlQualifiedName

  A is thrown with the property set to when a server is called and it could not respond to a request due to network problems. Typically, with this type of exception, the client call may succeed later.

  The Receiver SOAP fault code is similar to the Server fault code, which is represented by the field, but the Server fault code is used when the SOAP request is sent using SOAP 1.1. To check whether the property is either the Receiver or Server SOAP fault codes, call the method.

  Represents the SOAP version 1.2 Receiver fault code indicating an error occurred during the processing of a client call on the server due to a problem with the recipient.

  2.0.0.0
- Field
  System.Xml.XmlQualifiedName

  ASP.NET does not automatically throw a with the property set to .

  The class has a property of type that represents the SOAP fault subcode. The property represents the URI for the actual SOAP fault subcode. When setting the property to , set the property to .

  Represents the SOAP version 1.2 rpc:BadArguments fault subcode indicating that arguments sent to the XML Web service method were incorrect or could not be parsed.

  2.0.0.0
- Field
  System.Xml.XmlQualifiedName

  ASP.NET does not automatically throw a with the property set to .

  The class has a property of type that represents the SOAP fault subcode. The property represents the URI for the actual SOAP fault subcode. When setting the property to , set the property to .

  Represents the SOAP version 1.2 rpc:ProcedureNotPresent fault subcode indicating the XML Web service does not support the requested XML Web service method.

  2.0.0.0
- Field
  System.Xml.XmlQualifiedName

  A is thrown with the property set to when a SOAP 1.2 request is malformed or a parameter is missing.

  The Sender SOAP fault code is similar to the Client fault code, which is represented by the field, but the Client fault code is used when the SOAP request is sent using SOAP 1.1. To check whether the property is either the Sender or Client SOAP fault codes, call the method.

  Represents the SOAP version 1.2 Sender fault code indicating a client call was not formatted correctly or did not contain the appropriate information.

  2.0.0.0
- Field
  System.Xml.XmlQualifiedName

  A is thrown with the property set to when an XML Web service is configured to only accept SOAP 1.2 requests and it receives a SOAP 1.1 message. Likewise, if an XML Web service is configured to accept only SOAP 1.1 messages and it receives a SOAP 1.2 message, a is thrown with the property set to . For details on configuring XML Web services, see [<topic://cpconConfigurationOptionsForASPNETWebServices>].

  Both SOAP 1.1 and 1.2 define VersionMismatch SOAP fault codes that differ on the version of the SOAP protocol expected. This field represents the SOAP 1.2 version, whereas the SOAP 1.1 version is represented by . The two fields map to different qualified names, but you can check whether the property is either one of the fault codes by calling the method.

  Represents the SOAP version 1.2 VersionMismatch fault code indicating the XML Web service expected SOAP messages conforming to the SOAP 1.2 specification, yet received one conforming to SOAP 1.1.

  2.0.0.0